import { Base, Type } from "./type";
import { IComponentRendererAdapter } from "./IComponentRendererAdapter";
import { TypeDescriptionContext } from "./TypeDescriptionContext";
import { TypeDescriptionPropretyTransforms } from "./TypeDescriptionPropretyTransforms";
import { TypeDescriptionCleanups } from "./TypeDescriptionCleanups";
import { Description } from "./Description";
import { DescriptionRef } from "./DescriptionRef";
/**
 * @hidden
 */
export declare class ComponentRenderer extends Base {
    static $t: Type;
    d: IComponentRendererAdapter;
    private _context;
    context: TypeDescriptionContext;
    i: TypeDescriptionPropretyTransforms;
    f: TypeDescriptionCleanups;
    private static platform;
    constructor();
    private e;
    toJson(a: (arg1: any) => string): string;
    private b6;
    private b7;
    private r;
    private p;
    private b5;
    private k;
    loadJson(a: string, b: (arg1: string) => any): void;
    private a;
    private a6;
    private ag;
    private af;
    private aj;
    private ah;
    private ae;
    private ai;
    private ak;
    private am;
    render(a: Description, b: any): void;
    private br;
    private b1;
    provideRefValue(a: any, b: string, c: any): void;
    removeRefValue(a: any, b: string): void;
    clearRefValues(a: any): void;
    private b2;
    private b4;
    private ca;
    private bp;
    private bs;
    private bt;
    private s;
    private y;
    private ad;
    private ac;
    private a8;
    private a5;
    private a4;
    private a3;
    private a2;
    private a1;
    private a0;
    private az;
    b(a: string): DescriptionRef;
    private be;
    private ay;
    private bd;
    private aw;
    private bc;
    private bg;
    private av;
    private au;
    private at;
    private bf;
    private as;
    private ar;
    private al;
    addPropertyUpdatingListener(a: string, b: (propertyName: string, target: any, newValue: any) => void): void;
    private an;
    addReferenceLookupListener(a: (container: any, refType: string, id: string) => any): void;
    removePropertyUpdatingListener(a: string, b: (propertyName: string, target: any, newValue: any) => void): void;
    private aq;
    private b8;
    bv(a: string, b: any, c: boolean): void;
    removeRefValueCore(a: string, b: boolean): void;
    clearUserRefValues(): void;
    o(a: DescriptionRef): boolean;
    ba(a: DescriptionRef): any;
    n(a: string): boolean;
    c(a: string): DescriptionRef;
    private bb;
    private x;
    private ab;
    private w;
    private b3;
    private aa;
    private bo;
    private ap;
    private v;
    private bw;
    private z;
    private u;
    private j;
    private bi;
    private a7;
    private q;
    private ax;
    private ao;
    private t;
    private bl;
    private b9;
    private a9;
    private m;
    private l;
}
